Skip to main content
GET
/
reg-types
/
{registrant_type_id}
Get One Type
curl --request GET \
  --url https://api.swoogo.com/api/v1/reg-types/{registrant_type_id} \
  --header 'Authorization: Bearer <token>'
{
  "admin_short_name": "",
  "capacity": 30,
  "created_at": "2019-08-14 15:08:49",
  "description": "",
  "id": 1,
  "max_group_size": null,
  "min_group_size": null,
  "name": "Registration",
  "public_short_name": "",
  "sold_out_message": "Sold Out",
  "updated_at": "2019-08-14 15:08:57"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.

Path Parameters

registrant_type_id
integer
required

integer - required - The ID of the registrant type you want to get

Example:

1

Query Parameters

fields
string

string - optional - Comma separated list of fields you want to return

Example:

"id,name,public_short_name,admin_short_name,description,capacity,sold_out_message,min_group_size,max_group_size,created_at,updated_at"

expand
string

string - optional - Comma separated list of objects you want to return

Example:

""

Response

200 - application/json

Get Registrant Type

admin_short_name
string
Example:

""

capacity
number
Example:

30

created_at
string
Example:

"2019-08-14 15:08:49"

description
string
Example:

""

id
number
Example:

1

max_group_size
unknown
min_group_size
unknown
name
string
Example:

"Registration"

public_short_name
string
Example:

""

sold_out_message
string
Example:

"Sold Out"

updated_at
string
Example:

"2019-08-14 15:08:57"